<template>
  <div
    id="toggle"
    role="button"
    aria-labelledby="mk-pay-head mk-pay-price mk-pay-txt"
    aria-pressed="false"
    tabindex="0"
    :class="affirmSelected ? 'border-black' : 'border-gray-20'"
    class="border mk-focus-disable rounded md:rounded-md px-4 py-6 md:px-6 md:py-6 w-345 md:w-460 lg:w-610 my-4 cursor-pointer"
    @keypress.enter="onAffirm($event)"
    @click="onAffirm($event)"
  >
    <p id="mk-pay-head" class="font-primary-font-bold text-base leading-6 mb-2 lg:mb-3">
      Monthly payments
    </p>
    <div id="mk-pay-price" class="flex flex-col md:flex-row">
      <MkAffirmPrice :total-price="TOTAL_PRICE" page-type="cart" />
      <!-- <p class="font-primary-font-regular md:font-primary-font-light affirm-as-low-as pt-2 lg:pt-3" data-page-type="cart" data-affirm-color="black" :data-amount="TOTAL_PRICE"></p> -->
      <!-- <p class="font-primary-font-regular md:font-primary-font-light text-base leading-6 pt-2 lg:pt-3">Starting at 10% APR at $71/mo with </p>
            <img src="~/assets/images/d-2-c-icons-general-affirm-logo.svg" class="md:pl-1.5 w-12 lg:mt-0.5" alt="Affirm"> -->
    </div>
    <p
      id="mk-pay-txt"
      class="font-primary-font-regular md:font-primary-font-light text-base leading-6 pt-6 md:pt-4"
    >
      Device purchases only
    </p>
  </div>
</template>
<script>
import { mapState } from 'vuex'
import MkAffirmPrice from '~/components/D2C/molecules/MkAffirmPrice.vue'
export default {
  name: 'MkMonthlyPayments',
  components: {
    MkAffirmPrice,
  },
  props: {
    isAffirm: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      affirmSelected: false,
    }
  },
  computed: {
    ...mapState('CART_STORE', ['TOTAL_PRICE']),
  },
  watch: {
    isAffirm() {
      this.affirmSelected = this.isAffirm
    },
    // TOTAL_PRICE(){
    //    this.setAffirm()
    // }
  },  
  mounted() {
    // this.setAffirm()
  },
  methods: {
    // async setAffirm(){
    //     await this.$affirmAurora.init()
    //     this.$affirmAurora.refresh()
    // },
    onAffirm(e) {
      e.preventDefault()
      this.affirmSelected = !this.affirmSelected
      this.$emit('affirm-selected', this.affirmSelected)
      this.$root.$utility.elementFocus(this, 'affirmContent')
      const isAriaPressed =
        e.currentTarget.getAttribute('aria-pressed') === 'true'
      e.currentTarget.setAttribute(
        'aria-pressed',
        isAriaPressed ? 'false' : 'true'
      )
    },
  },
}
</script>
